Intermittent testHistoryService | testHistoryService.js - Simple 301 redirect makes 1 history item

RESOLVED FIXED in Firefox 48

Status

()

Firefox for Android
Testing
RESOLVED FIXED
3 years ago
a year ago

People

(Reporter: philor, Assigned: mfinkle)

Tracking

({intermittent-failure})

Trunk
Firefox 48
ARM
Android
intermittent-failure
Points:
---

Firefox Tracking Flags

(firefox45 affected, firefox46 affected, firefox48 fixed)

Details

Attachments

(2 attachments)

Comment hidden (empty)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
This happens intermittently on the Android 4.3 emulator also.

http://ftp.mozilla.org/pub/mozilla.org/mobile/try-builds/gbrown@mozilla.com-8215e218bc55/try-android-api-9/try_ubuntu64_vm_mobile_test-robocop-3-bm54-tests1-linux64-build31.txt.gz

19:46:21     INFO -  testHistoryService.js | sleep start
19:46:21     INFO -  TEST-PASS | testHistoryService | Given message occurred for registered event: {"message":"\nTEST-INFO | testHistoryService.js | Observer: http:\/\/example.org\/tests\/robocop\/robocop_blank_02.html\n","innerType":"progress","type":"Robocop:JS"} - Robocop:JS should equal Robocop:JS
19:46:21     INFO -  testHistoryService.js | Observer: http://example.org/tests/robocop/robocop_blank_02.html
19:46:21     INFO -  TEST-PASS | testHistoryService | Given message occurred for registered event: {"message":"\nTEST-INFO | testHistoryService.js | sleep end\n","innerType":"progress","type":"Robocop:JS"} - Robocop:JS should equal Robocop:JS
19:46:21     INFO -  testHistoryService.js | sleep end
19:46:21     INFO -  TEST-PASS | testHistoryService | Given message occurred for registered event: {"message":"\nTEST-INFO | testHistoryService.js | visit counts: 2\n","innerType":"progress","type":"Robocop:JS"} - Robocop:JS should equal Robocop:JS
19:46:21     INFO -  testHistoryService.js | visit counts: 2
19:46:21     INFO -  TEST-PASS | testHistoryService | Given message occurred for registered event: {"message":"\nTEST-UNEXPECTED-FAIL | testHistoryService.js | Simple 301 redirect makes 1 history item - See following stack:\n","innerType":"progress","type":"Robocop:JS"} - Robocop:JS should equal Robocop:JS
19:46:21  WARNING -  TEST-UNEXPECTED-FAIL | testHistoryService | testHistoryService.js - Simple 301 redirect makes 1 history item - See following stack:
19:46:21     INFO -  TEST-PASS | testHistoryService | Given message occurred for registered event: {"message":"JS frame :: robocop_head.js :: do_throw :: line 471\n","innerType":"progress","type":"Robocop:JS"} - Robocop:JS should equal Robocop:JS
19:46:21     INFO -  testHistoryService.js | JS frame :: robocop_head.js :: do_throw :: line 471
19:46:21     INFO -  TEST-PASS | testHistoryService | Given message occurred for registered event: {"message":"JS frame :: robocop_head.js :: do_report_result :: line 573\n","innerType":"progress","type":"Robocop:JS"} - Robocop:JS should equal Robocop:JS
19:46:21     INFO -  testHistoryService.js | JS frame :: robocop_head.js :: do_report_result :: line 573
19:46:21     INFO -  TEST-PASS | testHistoryService | Given message occurred for registered event: {"message":"JS frame :: testHistoryService.js :: ok :: line 14\n","innerType":"progress","type":"Robocop:JS"} - Robocop:JS should equal Robocop:JS
19:46:21     INFO -  testHistoryService.js | JS frame :: testHistoryService.js :: ok :: line 14
19:46:21     INFO -  TEST-PASS | testHistoryService | Given message occurred for registered event: {"message":"JS frame :: testHistoryService.js :: <TOP_LEVEL> :: line 110\n","innerType":"progress","type":"Robocop:JS"} - Robocop:JS should equal Robocop:JS
19:46:21     INFO -  testHistoryService.js | JS frame :: testHistoryService.js :: <TOP_LEVEL> :: line 110
19:46:21     INFO -  TEST-PASS | testHistoryService | Given message occurred for registered event: {"message":"JS frame :: self-hosted :: next :: line 620\n","innerType":"progress","type":"Robocop:JS"} - Robocop:JS should equal Robocop:JS
19:46:21     INFO -  testHistoryService.js | JS frame :: self-hosted :: next :: line 620
19:46:21     INFO -  TEST-PASS | testHistoryService | Given message occurred for registered event: {"message":"JS frame :: resource:\/\/gre\/modules\/Task.jsm :: TaskImpl_run :: line 314\n","innerType":"progress","type":"Robocop:JS"} - Robocop:JS should equal Robocop:JS
19:46:21     INFO -  testHistoryService.js | JS frame :: resource://gre/modules/Task.jsm :: TaskImpl_run :: line 314
19:46:21     INFO -  TEST-PASS | testHistoryService | Given message occurred for registered event: {"message":"native frame :: <unknown filename> :: <TOP_LEVEL> :: line 0\n","innerType":"progress","type":"Robocop:JS"} - Robocop:JS should equal Robocop:JS
19:46:21     INFO -  testHistoryService.js | native frame :: <unknown filename> :: <TOP_LEVEL> :: line 0
19:46:21     INFO -  TEST-PASS | testHistoryService | Given message occurred for registered event: {"message":"\nTEST-INFO | (xpcshell\/head.js) | exiting test\n","innerType":"progress","type":"Robocop:JS"} - Robocop:JS should equal Robocop:JS
19:46:21     INFO -  (xpcshell/head.js) | exiting test
19:46:21     INFO -  EventExpecter: no longer listening for Robocop:JS
19:46:21     INFO -  Unregistered listener for Robocop:JS
19:46:21     INFO -  TEST-OK | testHistoryService | took 120972ms
19:46:21     INFO -  TEST-START | Shutdown
19:46:21     INFO -  Passed: 40
19:46:21     INFO -  Failed: 1
Whiteboard: [test disabled on android 4.3]
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
As part of bug 1184186, I tried re-writing testHistoryService as a mochitest; it intermittently fails the same way:

https://treeherder.mozilla.org/#/jobs?repo=try&revision=1af11a37537f

http://ftp.mozilla.org/pub/mozilla.org/mobile/try-builds/gbrown@mozilla.com-1af11a37537f/try-android-api-11/try_ubuntu64_vm_armv7_mobile_test-mochitest-chrome-bm118-tests1-linux64-build3.txt.gz

20:59:33     INFO -  193 INFO TEST-START | mobile/android/tests/browser/chrome/test_history_service.html
21:00:06     INFO -  194 INFO Error: Unable to restore focus, expect failures and timeouts.
21:00:06     INFO -  195 INFO Error: Unable to restore focus, expect failures and timeouts.
21:00:06     INFO -  196 INFO TEST-PASS | mobile/android/tests/browser/chrome/test_history_service.html | Simple visit makes 1 history item
21:00:06     INFO -  197 INFO TEST-PASS | mobile/android/tests/browser/chrome/test_history_service.html | Simple visit makes final history item
21:00:06     INFO -  198 INFO TEST-UNEXPECTED-FAIL | mobile/android/tests/browser/chrome/test_history_service.html | Simple 301 redirect makes 1 history item
21:00:06     INFO -  run_test/<@chrome://mochitests/content/chrome/mobile/android/tests/browser/chrome/test_history_service.html:121:7
21:00:06     INFO -  TaskImpl_run@resource://gre/modules/Task.jsm:330:41
21:00:06     INFO -  199 INFO TEST-UNEXPECTED-FAIL | mobile/android/tests/browser/chrome/test_history_service.html | Simple 301 redirect makes final history item
21:00:06     INFO -  run_test/<@chrome://mochitests/content/chrome/mobile/android/tests/browser/chrome/test_history_service.html:124:7
21:00:06     INFO -  TaskImpl_run@resource://gre/modules/Task.jsm:330:41
21:00:22     INFO -  200 INFO TEST-PASS | mobile/android/tests/browser/chrome/test_history_service.html | JavaScript redirect makes 2 history items
21:00:22     INFO -  201 INFO TEST-PASS | mobile/android/tests/browser/chrome/test_history_service.html | JavaScript redirect makes intermediate history item
21:00:22     INFO -  202 INFO TEST-PASS | mobile/android/tests/browser/chrome/test_history_service.html | JavaScript redirect makes final history item
21:00:34     INFO -  203 INFO TEST-OK | mobile/android/tests/browser/chrome/test_history_service.html | took 64606ms
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)

Comment 112

2 years ago
8 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-central: 2
* mozilla-aurora: 2
* fx-team: 2
* mozilla-inbound: 1
* b2g-inbound: 1

Platform breakdown:
* android-2-3-armv7-api9: 8

For more details, see:
http://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1116036&startday=2015-09-28&endday=2015-10-04&tree=all

Comment 113

2 years ago
5 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-aurora: 3
* mozilla-central: 1
* b2g-inbound: 1

Platform breakdown:
* android-2-3-armv7-api9: 5

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1116036&startday=2015-10-19&endday=2015-10-25&tree=all

Comment 114

2 years ago
8 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 7
* mozilla-central: 1

Platform breakdown:
* android-2-3-armv7-api9: 8

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1116036&startday=2015-10-26&endday=2015-11-01&tree=all

Comment 115

2 years ago
18 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 11
* fx-team: 4
* mozilla-central: 2
* try: 1

Platform breakdown:
* android-2-3-armv7-api9: 18

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1116036&startday=2015-11-02&endday=2015-11-08&tree=all

Comment 116

2 years ago
11 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* fx-team: 6
* mozilla-inbound: 3
* try: 1
* mozilla-central: 1

Platform breakdown:
* android-2-3-armv7-api9: 11

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1116036&startday=2015-11-09&endday=2015-11-15&tree=all

Comment 117

2 years ago
9 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 2
* mozilla-central: 2
* mozilla-beta: 2
* b2g-inbound: 2
* try: 1

Platform breakdown:
* android-2-3-armv7-api9: 9

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1116036&startday=2015-11-16&endday=2015-11-22&tree=all

Comment 118

2 years ago
14 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 6
* fx-team: 4
* try: 2
* mozilla-central: 2

Platform breakdown:
* android-2-3-armv7-api9: 14

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1116036&startday=2015-11-23&endday=2015-11-29&tree=all

Comment 119

2 years ago
6 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* try: 2
* mozilla-inbound: 2
* mozilla-central: 1
* fx-team: 1

Platform breakdown:
* android-2-3-armv7-api9: 6

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1116036&startday=2015-11-30&endday=2015-12-06&tree=all

Comment 120

2 years ago
11 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 7
* mozilla-aurora: 2
* mozilla-release: 1
* fx-team: 1

Platform breakdown:
* android-2-3-armv7-api9: 11

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1116036&startday=2015-12-14&endday=2015-12-20&tree=all

Comment 121

2 years ago
11 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 4
* fx-team: 4
* mozilla-aurora: 2
* b2g-inbound: 1

Platform breakdown:
* android-2-3-armv7-api9: 11

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1116036&startday=2015-12-21&endday=2015-12-27&tree=all

Comment 122

2 years ago
9 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* b2g-inbound: 4
* mozilla-inbound: 3
* mozilla-central: 1
* fx-team: 1

Platform breakdown:
* android-2-3-armv7-api9: 9

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1116036&startday=2015-12-28&endday=2016-01-03&tree=all

Comment 123

2 years ago
18 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 11
* b2g-inbound: 3
* mozilla-central: 2
* fx-team: 2

Platform breakdown:
* android-2-3-armv7-api9: 18

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1116036&startday=2016-01-04&endday=2016-01-10&tree=all

Comment 124

2 years ago
20 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 12
* fx-team: 5
* mozilla-central: 2
* try: 1

Platform breakdown:
* android-2-3-armv7-api9: 20

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1116036&startday=2016-01-12&endday=2016-01-12&tree=all
This seems to be spiking in frequency today.

Comment 126

2 years ago
24 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 16
* fx-team: 4
* mozilla-central: 2
* b2g-inbound: 2

Platform breakdown:
* android-2-3-armv7-api9: 24

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1116036&startday=2016-01-13&endday=2016-01-13&tree=all
Created attachment 8707876 [details] [diff] [review]
history-bumptimeout v0.1

I was hoping to be able to re-enable this test on 4.3, but I can't yet. Bumping the "wait for pages to load" timeout does make 2.3 very happy. 13 green rc3 triggers.
Assignee: nobody → mark.finkle
Attachment #8707876 - Flags: review?(margaret.leibovic)
The try run with lot's of green 2.3 rc3 runs:
https://treeherder.mozilla.org/#/jobs?repo=try&revision=7e5e0f7b897f

Comment 129

2 years ago
24 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 13
* fx-team: 6
* mozilla-central: 4
* mozilla-aurora: 1

Platform breakdown:
* android-2-3-armv7-api9: 24

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1116036&startday=2016-01-14&endday=2016-01-14&tree=all

Updated

2 years ago
Attachment #8707876 - Flags: review?(margaret.leibovic) → review+

Comment 130

2 years ago
25 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 13
* fx-team: 6
* mozilla-central: 4
* mozilla-aurora: 1
* b2g-inbound: 1

Platform breakdown:
* android-2-3-armv7-api9: 25

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1116036&startday=2016-01-15&endday=2016-01-15&tree=all

Comment 131

2 years ago
https://hg.mozilla.org/integration/fx-team/rev/b30cfb4581dc

Comment 132

2 years ago
bugherder
https://hg.mozilla.org/mozilla-central/rev/b30cfb4581dc

Comment 133

2 years ago
112 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 64
* fx-team: 24
* mozilla-central: 16
* b2g-inbound: 4
* try: 2
* mozilla-aurora: 2

Platform breakdown:
* android-2-3-armv7-api9: 112

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1116036&startday=2016-01-11&endday=2016-01-17&tree=all
2.3 failures are much improved - thank you! - but a few remain. Would an even larger timeout resolve those?
status-firefox45: --- → affected
status-firefox46: --- → affected

Updated

2 years ago
Flags: needinfo?(mark.finkle)
(In reply to Geoff Brown [:gbrown] from comment #134)
> 2.3 failures are much improved - thank you! - but a few remain. Would an
> even larger timeout resolve those?

You could try going to 8 seconds.
Flags: needinfo?(mark.finkle)

Comment 136

2 years ago
27 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-aurora: 18
* try: 5
* mozilla-inbound: 4

Platform breakdown:
* android-2-3-armv7-api9: 26
* windowsxp: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1116036&startday=2016-01-18&endday=2016-01-24&tree=all

Comment 137

2 years ago
13 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-beta: 4
* fx-team: 4
* mozilla-inbound: 3
* mozilla-aurora: 2

Platform breakdown:
* android-2-3-armv7-api9: 13

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1116036&startday=2016-01-25&endday=2016-01-31&tree=all

Comment 138

2 years ago
24 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-beta: 12
* mozilla-inbound: 8
* fx-team: 3
* mozilla-central: 1

Platform breakdown:
* android-2-3-armv7-api9: 24

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1116036&startday=2016-02-01&endday=2016-02-07&tree=all

Comment 139

2 years ago
31 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 15
* mozilla-beta: 11
* mozilla-central: 2
* fx-team: 2
* mozilla-aurora: 1

Platform breakdown:
* android-2-3-armv7-api9: 30
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1116036&startday=2016-02-08&endday=2016-02-14&tree=all

Comment 140

2 years ago
22 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-beta: 15
* mozilla-inbound: 6
* fx-team: 1

Platform breakdown:
* android-2-3-armv7-api9: 21
* windows8-64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1116036&startday=2016-02-22&endday=2016-02-28&tree=all

Comment 141

2 years ago
7 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-beta: 3
* mozilla-release: 2
* mozilla-inbound: 1
* fx-team: 1

Platform breakdown:
* android-2-3-armv7-api9: 7

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1116036&startday=2016-02-29&endday=2016-03-06&tree=all

Updated

2 years ago
Blocks: 1252961
As-is, testHistoryService fails frequently on Android 4.3 and infrequently on 2.3.

Significant increases to the wait time result in significant improvement on 4.3.

20 seconds: https://treeherder.mozilla.org/#/jobs?repo=try&revision=f2a31350f81f
10 seconds: https://treeherder.mozilla.org/#/jobs?repo=try&revision=fd694244fc0a
At 20 seconds, there is no sign of this intermittent failure. At 10 seconds, there are some (low frequency) failures on 4.3.

There are 4 sleeps, so increasing the wait time by +14 seconds adds about 1 minute to the test time: possible, but undesirable.

I noticed that it is always the "Simple 301 redirect" case that fails, so tried increasing just the sleep immediately before that check: https://treeherder.mozilla.org/#/jobs?repo=try&revision=c495a2670c89. This continued to fail on 4.3, fairly frequently -- as though it made no difference.

I tried increasing the sleep time immediately before the "Simple 301 redirect" *and* the sleep before that: https://treeherder.mozilla.org/#/jobs?repo=try&revision=ca52c93329f8. That is effective -- no failures.

Just one more attempt at optimization, increasing only the first of the 2 sleeps in ca52c93329f8: https://treeherder.mozilla.org/#/jobs?repo=try&revision=47d3af5b37e8, running now.
(In reply to Geoff Brown [:gbrown] from comment #143)
> Just one more attempt at optimization, increasing only the first of the 2
> sleeps in ca52c93329f8:
> https://treeherder.mozilla.org/#/jobs?repo=try&revision=47d3af5b37e8,
> running now.

And that works: no failures.
Created attachment 8728673 [details] [diff] [review]
use longer sleep after first load

I don't claim to understand why this is needed, but it allows us to run reliably on 4.3:

https://treeherder.mozilla.org/#/jobs?repo=try&revision=47d3af5b37e8
Attachment #8728673 - Flags: review?(mark.finkle)
Comment on attachment 8728673 [details] [diff] [review]
use longer sleep after first load

Doesn't need to be pretty, just needs to work.
Thanks, Geoff
Attachment #8728673 - Flags: review?(mark.finkle) → review+

Comment 147

2 years ago
https://hg.mozilla.org/integration/mozilla-inbound/rev/663c40336889

Comment 148

2 years ago
bugherder
https://hg.mozilla.org/mozilla-central/rev/663c40336889
Status: NEW → RESOLVED
Last Resolved: 2 years ago
status-firefox48: --- → fixed
Resolution: --- → FIXED
Target Milestone: --- → Firefox 48

Updated

2 years ago
Whiteboard: [test disabled on android 4.3]

Comment 149

2 years ago
6 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* fx-team: 3
* mozilla-inbound: 2
* mozilla-central: 1

Platform breakdown:
* android-4-3-armv7-api15: 6

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1116036&startday=2016-05-30&endday=2016-06-05&tree=all

Comment 150

2 years ago
15 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 11
* fx-team: 2
* mozilla-central: 1
* mozilla-aurora: 1

Platform breakdown:
* android-4-3-armv7-api15: 15

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1116036&startday=2016-06-06&endday=2016-06-12&tree=all

Comment 151

2 years ago
10 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 8
* mozilla-central: 1
* fx-team: 1

Platform breakdown:
* android-4-3-armv7-api15: 10

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1116036&startday=2016-06-20&endday=2016-06-26&tree=all
See Also: → bug 1281335
You need to log in before you can comment on or make changes to this bug.